CREATE OR REPLACE PROCEDURE CUST_WF_SET_NEWRESP_VALUES
--
-- Procedure to set Workflow Attributes, to support CUSTNRSP.wft
-- John Peters, JRPJR, Inc.
-- 09/14/2002
--
  (itemtype        in varchar2,
   itemkey         in varchar2,
   actid           in number,
   funcmode        in varchar2,
   resultout       out varchar2 
  ) 
IS
  v_userid       NUMBER;
  v_responsibility_id   NUMBER;
  v_user_name    VARCHAR2(100);
  v_responsibility_name  VARCHAR2(100);

BEGIN
  -- Item Key holds both the USER_ID and RESPONSIBILITY_ID delimited by a ':'
  v_userid := substr(itemkey,1,instr(itemkey,':')-1);
  v_responsibility_id := substr(itemkey,instr(itemkey,':')+1);
  
  select USER_NAME
    into v_user_name
    from FND_USER
   where USER_ID = v_userid 
   ;
   
  select RESPONSIBILITY_NAME
    into v_responsibility_name
    from FND_RESPONSIBILITY_TL
   where RESPONSIBILITY_ID = v_responsibility_id
     and LANGUAGE = 'US'
   ; 
  
  wf_engine.SetItemAttrText (     itemtype        => itemtype,
                                  itemkey         => itemkey,
                                  aname           => 'USER_NAME',
                                  avalue          => v_user_name);
                       
  wf_engine.SetItemAttrText (     itemtype        => itemtype,
                                  itemkey         => itemkey,
                                  aname           => 'RESPONSIBILITY_NAME',
                                  avalue          => v_responsibility_name);
                       
  
END CUST_WF_SET_NEWRESP_VALUES; 